APROPOS(1)

NAMA
apropos - cari halaman buku panduan dari nama dan deskripsinya

RINGKASAN
apropos [-dalhvV] [-e|-w|-r] [-s bagian] [-m sistem[,...]] [-M jalur] [-L lokal] [-C berkas] kata kunci ...

DESKRIPSI
Setiap halaman buku panduan memiliki sebuah deskripsi singkat didalamnya. apropos mencari deskripsi untuk setiap hal dari kata kunci. kata kunci biasanya sebuah ekspresi umum, sama seperti (-r) yang telah digunakan, atau mungkin berisi karakter bebas (-w), atau yang cocok dengan kata kunci (-e). Menggunakan pilihan ini, mungkin diperlukan untuk memperjelas kata kunci atau karakter spesial untuk keluar (\) untuk menghentikan shell menginterpretasikannya. Aturan baku pencocokan mengijinkan pencocokan dibuat terhadap nama halaman dan batas kata dalam deskripsi. Basis data dicari dengan apropos diperbarui oleh aplikasi mandb. Tergantung di instalasi anda, ini mungkin akan dijalankan secara berkala oleh pekerjaan cron, atau mungkin bisa dijalankan secara manual setelah halaman buku panduan telah terpasang.

PILIHAN

-d, --debug
    Tampilkan informasi penelusuran.

-v, --verbose
    Tampilkan pesan peringatan bertele-tele.

-r, --regex
    Interpretasikan setiap kata kunci sebagai sebuah ekspresi umum. Ini adalah perilaku baku. Setiap kata kunci akan dicocokan terhadap nama dan deskripsi halaman secara bebas. Ini dapat cocok dengan bagian apapun juga. Pencocokan tidak terbatas ke batasan kata.

-w, --wildcard
    Interpretasikan setiap kata kunci sebagai sebuah pola berisi gaya shell karakter bebas. Setiap kata kunci akan dicocokan terhadap nama dan deskripsi halaman secara bebas. Jika --exact juga digunakan, sebuah pasangan hanya akan ditemukan jika sebuah kata kunci yang diekspan cocok ke seluruh deskripsi atau nama halaman. Jika tidak kata kunci juga diijinkan untuk dicocokan di batas kata dalam deskripsi.

-e, --exact
    Setiap kata kunci akan secara tepat dicocokan terhadap nama dan deskripsi halaman.

-a, --and
    Hanya tampilkan item yang cocok dengan seluruh kata kunci yang diberikan. Secara baku adalah menampilkan item yang cocok dengan kata kunci apapun.

-l, --long
    Jangan trim keluaran ke lebar terminal. Secara normal, keluaran akan dipotong ke lebar terminal untuk menghindari hasil aneh dari bagian NAMA yang ditulis tidak sempurna.

-s list, --sections=list, --section=list
    Hanya cari di bagian buku panduan yang diberikan. Jika bagian adalah sebuah bagian sederhana, sebagai contoh "3", maka tampilkan daftar dari deskripsi akan memasukan halaman dalam bagian "3", "3perl", "3x", dan selanjutnya; jika bagian memiliki sebuah ekstensi, sebagai contoh "3perl", maka daftar hanya akan memasukan halaman dalam bagian tepat dari bagian buku panduan.

-m sistem[,...], --systems=sistem[,...]
    Jika sistem ini memiliki akses ke deskripsi halaman buku panduan sistem operasi lain, mereka dapat dicari dengan pilihan ini. Untuk mencari deskripsi halaman buku panduan OS-Baru, gunakan pilihan -m OS-Baru. sistem yang dispesifikasikan dapat berupa sebuah kombinasi dari nama sistem operasi dipisahkan oleh koma. Untuk memasukan sebuah pencarian dari deskripsi sistem operasi asal whatis, masukan nama sistem man dalam argumen string. Pilihan ini akan mengesampingkan variabel lingkungan $SYSTEM.

-M jalur, --manpath=jalur
    Spesifikasikan sebuah alternatif set dari struktur halaman buku panduan dipisahkan oleh kolon ke pencarian. Secara Baku, apropos menggunakan variabel lingkungan $MANPATH, kecuali itu kosong atau tidak diset, dalam beberapa kasus itu akan menentukan sebuah jalur man yang sesuai di variabel lingkungan anda $PATH. Pilihan ini mengesampingkan isi dari $MANPATH.

-L lokal, --locale=lokal
    apropos akan secara normal menentukan lokal anda sekarang dengan sebuah panggilan ke fungsi setlocale(3) yang menanyakan berbagai variabel lingkungan, kemungkinan termasuk $LC_MESSAGES dan $LANG. Untuk memaksa sementara ke nilai yang telah ditentukan, gunakan pilihan ini untuk mensuplai sebuah string lokal secara langsung ke apropos. Catat bahwa itu tidak akan berpengaruh sampai pencarian untuk halaman benar benar dimulai. Pesan bantuan akan selalu ditampilkan dalam lokal yang ditentukan diawal.

-C berkas, --config-file=berkas
    Gunakan berkas konfigurasi pengguna ini daripada ~/.manpath.

-?, --help
    Tampilkan sebuah pesan bantuan dan keluar.

--usage
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan informasi versi.

STATUS KELUAR

0   Eksekusi aplikasi sukses.

1   Penggunaan, sintaks atau berkas konfigurasi error.

2   Operasional error.

16  Tidak ditemukan apapun yang cocok dengan kriteria yang dispesifikasikan.

LINGKUNGAN

SYSTEM
    Jika $SYSTEM telah diset, ini akan memiliki efek sama seperti jika ini telah dispesifikasikan sebagai argumen ke pilihan -m.

MANPATH
    Jika $MANPATH telah diset, nilainya diinterpretasikan sebagai struktur jalur pencarian halaman buku panduan dipisahkan dengan kolon untuk digunakan.

MANWIDTH
    If $MANWIDTH is set, its value is used as the terminal width (see the --long option). If it is not set, the terminal width will be calculated using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if all else fails.

POSIXLY_CORRECT
    Jika $POSIXLY_CORRECT diset, meskipun ke sebuah nilai null, pencarian baku apropos akan berupa sebuah ekstensi regex (-r). Saat ini, ini adalah perilaku baku.

BERKAS

/usr/share/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh tradisional.

/var/cache/man/index.(bt|db|dir|pag)
    Sebuah persediaan basis data indeks menyeluruh sesuai dengan FHS.

/usr/share/man/.../whatis
    Sebuah basis data teks whatis tradisional.

LIHAT JUGA
man(1), whatis(1), mandb(8)

PENGARANG
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

BUGS
https://savannah.nongnu.org/bugs/?group=man-db